Skip to main content

Cannot start web console in Glassfish version 3.1.2.2

1 reply [Last post]
Anonymous

I installed the latest Glassfish version 3.1.2.2. I installed the osgi
packages. But when I started the server I get this error:

[#|2012-07-19T13:26:13.940+0300|SEVERE|glassfish3.1.2|javax.enterprise.system.core.com.sun.enterprise.v3.server|_ThreadID=40;_ThreadName=Thread-2;|Failed
to start Bundle Id [258] State [INSTALLED]
[org.glassfish.main.admingui.glassfish-osgi-console-plugin(Glassfish OSGI
Console Plugin):3.1.2.1-SNAPSHOT]
com.sun.enterprise.module.ResolveError: Failed to start Bundle Id [258]
State [INSTALLED]
[org.glassfish.main.admingui.glassfish-osgi-console-plugin(Glassfish OSGI
Console Plugin):3.1.2.1-SNAPSHOT]
at
org.jvnet.hk2.osgiadapter.OSGiModuleImpl.start(OSGiModuleImpl.java:177)
at
org.jvnet.hk2.osgiadapter.OSGiModuleImpl$2$1$1.loadClass(OSGiModuleImpl.java:344)
at
com.sun.hk2.component.LazyInhabitant.loadClass(LazyInhabitant.java:124)
at com.sun.hk2.component.LazyInhabitant.fetch(LazyInhabitant.java:111)
at
com.sun.hk2.component.EventPublishingInhabitant.get(EventPublishingInhabitant.java:135)
at
com.sun.hk2.component.AbstractInhabitantImpl.get(AbstractInhabitantImpl.java:78)
at
com.sun.enterprise.v3.server.ClassLoaderHierarchyImpl.createApplicationParentCL(ClassLoaderHierarchyImpl.java:200)
at
org.glassfish.deployment.common.DeploymentContextImpl.createClassLoader(DeploymentContextImpl.java:216)
at
org.glassfish.deployment.common.DeploymentContextImpl.createDeploymentClassLoader(DeploymentContextImpl.java:199)
at
com.sun.enterprise.v3.server.ApplicationLifecycle.deploy(ApplicationLifecycle.java:346)
at
com.sun.enterprise.v3.server.ApplicationLoaderService.processApplication(ApplicationLoaderService.java:375)
at
com.sun.enterprise.v3.admin.adapter.InstallerThread.load(InstallerThread.java:210)
at
com.sun.enterprise.v3.admin.adapter.InstallerThread.run(InstallerThread.java:108)
Caused by: org.osgi.framework.BundleException: Cannot start bundle
org.glassfish.main.admingui.glassfish-osgi-console-plugin [258] because its
start level is 2, which is greater than the framework's start level of 1.
at org.apache.felix.framework.Felix.startBundle(Felix.java:1807)
at org.apache.felix.framework.BundleImpl.start(BundleImpl.java:944)
at
org.jvnet.hk2.osgiadapter.OSGiModuleImpl.start(OSGiModuleImpl.java:169)
... 12 more
|#]

Can you help me to solve this problem?

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
zmarcos
Offline
Joined: 2012-07-24

You could change the start level on file \glassfish-3.1.2.2\glassfish\config\osgi.properties to:
org.osgi.framework.startlevel.beginning=2